/* 
* classKeyboard.h
*
* Created: 08/02/2020 10:16:33
* Author: Ledo
*/


#ifndef __CLASSKEYBOARD_H__
#define __CLASSKEYBOARD_H__

#include "classAD7843.h"
#include "classGraphics.h"
#include "classTFT.h"
#include "tipos.h"
#define KEY_COLOR     VGA_BLUE
#define KEY_FORECOLOR VGA_WHITE
#define KEY_BACKCOLOR VGA_YELLOW


extern classAD7843 Touch;
extern classTFT Display;
extern classGraphics Gui;

class classKeyboard
{
//variables
public:
     uint32_t keyValue;
	 bool showKeys;

protected:
private:

//functions
public:
	classKeyboard();
	~classKeyboard();
	void drawKeys(void);
	uint8_t presetKey(void);

protected:
private:
	classKeyboard( const classKeyboard &c );
	classKeyboard& operator=( const classKeyboard &c );
	void drawButton(char * string,uint16_t x1, uint16_t y1,uint16_t ancho, uint16_t alto);
	uint8_t coll1_decode(void);
	uint8_t coll2_decode(void);
	uint8_t coll3_decode(void);


}; //classKeyboard

#endif //__CLASSKEYBOARD_H__
